Subject: Re: [PATCH] net-driver: Drivers don't set IFF_* flag [Was: [PATCH 3/3] netdevice: order of synchronization of IFF_PROMISC and IFF_ALLMULTI]

From: Wang Chen <[email-masked]>
Date: Tue, 24 Jun 2008 13:39:19 +0800

Grant Grundler said the following on 2008-6-24 13:10:
> On Tue, Jun 24, 2008 at 09:02:03AM +0800, Wang Chen wrote:
> ...
>> So I want to remove "clear promisc" feature by ioctl of this driver
>> instead of adding it to feature-removal-schedule.
>> "set promisc" feature by ioctl can be fixed temporarily and should be
>> added to feature-removal-schedule. 
>> Fortunately most of the features of this driver's ioctl are for
>> developer testing.
>>
>> This week I want to wait for tulip driver maintainer's confirmation.
> 
> Confirmation of what?
> Apologies for not being able to follow the whole conversation.
> 

Sorry for that I cc-ed you in the mid of discussion.
Patrick and me were discussing about that driver should not
change device's promisc mode, because it's not a boolean state,
but a refcnt to decide whether IFF_PROMISC should be set or not.

In de4x5_ioctl(), user can simply set IFF_PROMISC flag and that
can cause upper layer protocol broken.

Patrick suggest to use dev_change_flags() to change IFF_PROMISC
flag and add the feature to feature-removal-schedule.

My suggestion is that we remove IFF_PROMISC changing feature from
de4x5_ioctl() now.

> If you want to remove a developer debug feature, please just submit
> a patch like usual to kyle and myself.
> 

Is there any user space binary use these features?
case DE4X5_SET_PROM:
case DE4X5_CLR_PROM: 
If not, I will send a patch to remove them.